%global dlrn_nvr 11.5.0-0.20200616033427.8ff1c6a
%global dlrn 1
%define upstream_version 11.5.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 11.5.0
Release: 0.20200616033428.8ff1c6a%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 11.5.0-0.20200616033427.8ff1c6a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=8ff1c6ab3c97a5251ed9a5626c14817568af7c53
Patch0001: 0001-Fix-haproxy-ceph-dashboard-condition.patch
Patch0002: 0002-Add-FFU-support-for-ceph_nfs.patch
Patch0003: 0003-Finish-HAProxy-config-for-metrics_qdr.patch

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-etcd
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-placement
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-rsyslog
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
%if 0%{?fedora}
# NOTE(bogdando): only needed for f28-based CI passing,
# remove this condition for the "else" path, once we have Centos 8.
Requires:       puppet-headless >= 5.5.6
%else
Requires:       puppet-headless >= 5.5.10
%endif
# NOTE(aschultz): needed to properly manage firewall rules.
Requires:       iptables-services
%if 0%{?fedora} || 0%{?rhel} > 7
# NOTE(aschultz): needed for rabbitmq on rhel8/fedora, see LP#1822673
# https://review.openstack.org/#/c/649170/
Requires:       glibc-langpack-en
%endif

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Mon Aug 10 2020 Lon Hohberger <lhh@redhat.com> 11.5.0-0.20200616033428.8ff1c6a
- Finish HAProxy config for metrics_qdr (rhbz#1827024)
- Add FFU support for ceph_nfs (rhbz#1853465)
- Fix haproxy ceph dashboard condition (rhbz#1850991)

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make haproxy.pp honor EnableInternalTLS for rgw
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)
- Support for Dell EMC VXFlexOS Backend
- Allow override of mysql/galera open files limit

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove obsolete 'http' backend from glance configuration

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC SC Volume Config

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove selinux relabel mount option for neutron

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Prepare 11.5.0 release

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC XtremIO Volume Config

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Ensure that the HAProxy certificate is updated

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow the Mistral tunnel timeout to be configurable.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Include vendordata in nova-api and nova-metadata-api

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- [stable only] Fix duplicated test case for nova::api

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Only run the VIP creation code when enable_load_balancer is set to true

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix etcd's support for internal TLS

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove duplicate entry of collectd-python package
- Use ctlplane for internal QDR communication

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- CephRgw healthcheck aligned with ceph-ansible

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Do not manage pv/vg for cinder iscsi backend
- Hardcode openidc_cache_type parameter for keystone federation with OpenIdc

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Log stdout of HA containers
- Make the bundle user configurable via hiera
- Enable deployment with external loadbalancers

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (2 of 2)

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Apr 14 2020 Flavio Fernandes <flaviof@redhat.com> 11.4.1-0.20200413091724.5d41a09
- Add Octavia OVN Provider configuration (2 of 2) (rhbz#1823848)

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for PowerMax Volume Config

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for mariadb's ed25519 authentication

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (1 of 2)

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use memcached for token caching in designate authtoken

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add heat::cache to heat profile

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make all mysql root users managed during stack creation/update

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Handle ipv6 addresses in etcd and cinder's backend_url

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- pacemaker-remote is broken on CentOS/RHEL < 8

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix grafana haproxy frontend ip variable

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Certmonger ceph_rgw class to config tls

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make sure we create stonith resources before stonith levels
- Revert "Remove neutron wrappers"

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add ceph dashboard frontend endpoint and tls-e integration

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enforce firewall rules before pacemaker-auth
- Enable sudo rule creation

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add support for glance multistore

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- keystone: add a new parameter 'keystone_resources_managed'
- Remove neutron wrappers

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add keystone_resources_managed option to the cinder api class

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Don't use defined
- Make pipeline config more flexible

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove side-car containers in Create status

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix typo in remote pcsd_bind_addr

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jan 31 2020 Martin Mágr <mmagr@redhat.com> 11.4.0-0.20200131.09fa984
- [PATCH] Use ctlplane for internal QDR communication (rhbz#1769868)

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Change the name of the HAProxy service to reflict the new name

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Remove unused manila_share_nodes_count variable" into stable/train
- Remove unused manila_share_nodes_count variable

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add short node name override support to manila" into stable/train
- Merge "Make rsyslog file_input bulletproof" into stable/train
- Make rsyslog file_input bulletproof
- Add short node name override support to manila

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "HA: Honour all hiera override variables in mysql_bundle" into stable/train
- HA: Honour all hiera override variables in mysql_bundle

* Sat Jan 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add support to configure pcsd bind address" into stable/train
- Add support to configure pcsd bind address

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Make rsyslog file_input bulletproof (rhbz#1623152)

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enable metrics qdr to use public VIP

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow mysql haproxy stanza do be customized

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Fix typo in sslProfile conditional" into stable/train
- Merge "Avoid failing on rsyslog" into stable/train
- Change parameter to 'coordination_uri'
- Avoid failing on rsyslog
- Fix typo in sslProfile conditional

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix typo in sslProfile conditional (rhbz#1769868)

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add octavia::nova to Octavia services" into stable/train
- Make sure neutron [placement] config section is set
- Add octavia::nova to Octavia services

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- bump metadata for new train version

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Revert "Replace hiera('service_names') by hiera('enabled_services')"

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Avoid failing on rsyslog (rhbz#1777235)
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Updating pinned versions

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Synchronize connection configuration for metrics" into stable/train
- Synchronize connection configuration for metrics

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Fill sslProfile only when it is defined" into stable/train
- Fill sslProfile only when it is defined

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix grafana listener options to allow affinity" into stable/train
- Fix grafana listener options to allow affinity

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- ovn_dbs override support

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Wed Dec 04 2019 Martin Mágr <mmagr@redhat.com> 11.3.1-0.20191129120351.602547e
- [PATCH] Fill sslProfile only when it is defined (rhbz#1769868)
- [PATCH] Synchronize connection configuration for metrics (rhbz#1769868)

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Explicitly convert stonith_level fact to int

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Check for crm_node presence before collecting fact

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Improve stonith leves idempotency.

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Switch HA containers to k8s-file log-driver and make it a parameter

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Add configurable monitor timeouts for ovn dbs

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ceph Grafana should not be exposed by HAProxy as a public service

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix upper case checks for SRIOV interface

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Include ::nova::pci to nova api profile" into stable/train
- Include ::nova::pci to nova api profile

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Merge "Update .gitreview for stable/train" into stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Only configure libvirt-guests if enabled

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare RC + stable/train

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching in keystone""
- Revert "Add support to configure token caching in keystone"

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow the IHA OCF and fencing resource to be moved to the nova service user"
- Allow the IHA OCF and fencing resource to be moved to the nova service user

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pacemaker: add support for Hash vs List in container environment"
- Deep merge hiera keys for mysqld_options
- pacemaker: add support for Hash vs List in container environment

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Tacker service"
- Merge "Workaround for /etc/pki/CA/certs/vnc.crt not present"
- Workaround for /etc/pki/CA/certs/vnc.crt not present
- Remove Tacker service

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure token caching in keystone"
- Merge "Configuration changes to support Qdr-mesh topology."
- Configuration changes to support Qdr-mesh topology.
- Add support to configure token caching in keystone

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing PXE directories for Conductor"
- Fix missing PXE directories for Conductor
- remove tripleo-ci-centos-7-scenario010-multinode-oooq-container
